import request from '@/utils/request'

// request.defaults.baseURL = '/ezhizao-yzbh-sys'
// 查询角色列表
export function listRole(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/list',
    method: 'get',
    params: query
  })
}

// 查询角色详细
export function getRole(roleId) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/' + roleId,
    method: 'get'
  })
}

// 新增角色
export function addRole(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole',
    method: 'post',
    data: data
  })
}

// 修改角色
export function updateRole(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole',
    method: 'put',
    data: data
  })
}

// 角色数据权限
export function dataScope(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/dataScope',
    method: 'put',
    data: data
  })
}

// 角色状态修改
export function changeRoleStatus(roleId, status) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  const data = {
    roleId,
    status
  }
  return request({
    url: '/system/inItRole/changeStatus',
    method: 'put',
    data: data
  })
}

// 删除角色
export function delRole(roleId) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/' + roleId,
    method: 'delete'
  })
}

// 查询角色已授权用户列表
export function allocatedUserList(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/authUser/allocatedList',
    method: 'get',
    params: query
  })
}

// 查询角色未授权用户列表
export function unallocatedUserList(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/authUser/unallocatedList',
    method: 'get',
    params: query
  })
}

// 取消用户授权角色
export function authUserCancel(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/authUser/cancel',
    method: 'put',
    data: data
  })
}

// 批量取消用户授权角色
export function authUserCancelAll(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/authUser/cancelAll',
    method: 'put',
    params: data
  })
}

// 授权用户选择
export function authUserSelectAll(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/authUser/selectAll',
    method: 'put',
    params: data
  })
}

// 根据角色ID查询部门树结构
export function deptTreeSelect(roleId) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/inItRole/deptTree/' + roleId,
    method: 'get'
  })
}
